%global         pkgname django-classy-tags
%global         ghuser ojii

# share doc between python2 and python3
%global _docdir_fmt %{name}

Name:           python-%{pkgname}
Version:        0.7.2
Release:        5%{?dist}
Summary:        Class based template tags for Django
Group:          Development/Libraries
License:        BSD
URL:            http://django-classy-tags.readthedocs.org/
Source0:        http://github.srcurl.net/%{ghuser}/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-sphinx
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
The goal of this project is to create a new way of writing Django template tags
which is fully compatible with the current Django templating infrastructure.
This new way should be easy, clean and require as little boilerplate code
as possible while still staying as powerful as possible.


%package doc
Summary:        Documentation for %{pkgname}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Provides:       %{pkgname}-docs = %{version}-%{release}
Provides:       python3-%{pkgname}-docs = %{version}-%{release}
Obsoletes:      python3-%{pkgname}-docs < 0.7.2-1

%description doc
This package contains the documentation for classytags,
the class based template tags for Django.


%package -n python2-%{pkgname}
Summary:        Class based template tags for Django
Group:          Development/Libraries
Requires:       python2-django
%{?python_provide:%python_provide python2-%{pkgname}}
Provides:       %{pkgname} = %{version}-%{release}

%description -n python2-%{pkgname}
The goal of this project is to create a new way of writing Django template tags
which is fully compatible with the current Django templating infrastructure.
This new way should be easy, clean and require as little boilerplate code
as possible while still staying as powerful as possible.


%package -n python3-%{pkgname}
Summary:        Class based template tags for Django
Group:          Development/Libraries
Requires:       python3-django
%{?python_provide:%python_provide python3-%{pkgname}}
Provides:       %{pkgname} = %{version}-%{release}

%description -n python3-%{pkgname}
The goal of this project is to create a new way of writing Django template tags
which is fully compatible with the current Django templating infrastructure.
This new way should be easy, clean and require as little boilerplate code
as possible while still staying as powerful as possible.


%prep
%autosetup -n %{pkgname}-%{version}


%build
%{py2_build}
%{py3_build}

# build documentation
pushd docs
    make html
    rm -r _build/html/.buildinfo
popd


%install
%{py2_install}
%{py3_install}


%files -n python2-%{pkgname}
%doc LICENSE README.rst
%dir %{python2_sitelib}/classytags
%{python2_sitelib}/classytags/*.py
%{python2_sitelib}/classytags/*.py[co]
%dir %{python2_sitelib}/classytags/test
%{python2_sitelib}/classytags/test/*.py
%{python2_sitelib}/classytags/test/*.py[co]
%dir %{python2_sitelib}/classytags/test/project
%{python2_sitelib}/classytags/test/project/*.py
%{python2_sitelib}/classytags/test/project/*.py[co]
%{python2_sitelib}/django_classy_tags-%{version}-py2.*.egg-info


%files -n python3-%{pkgname}
%doc LICENSE README.rst
%dir %{python3_sitelib}/classytags
%{python3_sitelib}/classytags/*.py
%dir %{python3_sitelib}/classytags/__pycache__
%{python3_sitelib}/classytags/__pycache__/*.py[co]
%dir %{python3_sitelib}/classytags/test
%{python3_sitelib}/classytags/test/*.py
%dir %{python3_sitelib}/classytags/test/__pycache__
%{python3_sitelib}/classytags/test/__pycache__/*.py[co]
%dir %{python3_sitelib}/classytags/test/project
%{python3_sitelib}/classytags/test/project/*.py
%dir %{python3_sitelib}/classytags/test/project/__pycache__
%{python3_sitelib}/classytags/test/project/__pycache__/*.py[co]
%{python3_sitelib}/django_classy_tags-%{version}-py3.*.egg-info


%files doc
%doc docs/_build/html

 
%changelog
* Tue Aug 08 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.2-5
- Add %%python_provide invocation

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.7.2-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Mar  2 2016 Jakub Dorňák <jdornak@redhat.com> - 0.7.2-1
- Update to 0.7.2
- drop python3-django-classy-tags-doc subpackage
- add python2-django-classy-tags subpackage

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Nov 25 2013 Jakub Dorňák <jdornak@redhat.com> - 0.4-1
- Initial package
